Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224534 - Harddrive install failure (pre F7-test1)
Summary: Harddrive install failure (pre F7-test1)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 05:01 UTC by Deji Akingunola
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 16:55:53 UTC


Attachments (Terms of Use)

Description Deji Akingunola 2007-01-26 05:01:51 UTC
Description of problem:
I was responding to the call to QA the F7-Test1 testing tree; i used pungi to
create a DVD iso and store it on an external usb drive. After booting, I
selected Hard-drive method for install and chose the drive/partition that
contains the ISO, and anaconda complained it cannot find the image. If I press
'F2' and try to select the drive/partition from there, anaconda complained it
cannot mount the disk. If I try to select any other partition after the first
try (either internal of external drives), I get the dreaded 'blue screen of death'. 

Version-Release number of selected component (if applicable):anaconda-11.2.0.17-1


How reproducible: Always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2007-01-29 20:14:36 UTC
What are the last lines from tty3?

Comment 2 Deji Akingunola 2007-01-29 22:37:50 UTC
(In reply to comment #1)
> What are the last lines from tty3?

<5> sd 5:0:0O: Attached scsi disk sdc
<3> FAT: bogus number of reserved sectors
<6> VFS: Can't find a valid FAT filesystem on dev sdc1

NOTE: I recreated the DVD iso (using pungi) and boot with pxeboot images from
20070127 rawhide tree (anaconda-11.2.0.18-2)

Comment 3 Deji Akingunola 2007-01-29 22:39:01 UTC
Sorry, the first line is

<5> sd 5:0:0:0: Attached scsi disk sdc

Comment 4 Scott Talbot 2007-02-12 05:10:29 UTC
Note the lines <3> and <6> above.  They are (I think) telling that a FAT
partition is wanted.  I was able to install F7T1 today by putting the .iso on a
vfat partition.

Comment 5 Chris Lumens 2007-02-13 16:55:53 UTC
The ext3 filesystem module is not being loaded early enough, so the loader is
unable to mount any ext3 partitions.  This should be fixed for test 2.


Note You need to log in before you can comment on or make changes to this bug.